version: "2"
services:
  transmission:
    image: linuxserver/transmission
    container_name: transmission
    environment:
# PUID and PGID should be set to the same numbers assigned
# to the user id on the host running this docker
# to find out the id, issue the command
# 	id <laxaurus> for example
# find what the host user id and group id 
      - PUID=1000
      - PGID=1000
      - TZ=Europe/London
      - TRANSMISSION_WEB_HOME=/combustion-release/ #optional
    volumes:
      - ./config:/config
#      - ./downloads:/downloads
#      - ./watch:/watch
      - bt/downloads:/downloads
      - bt/watch:/watch
    ports:
      - 9091:9091
      - 51327:51413
      - 51327:51413/udp
   # restart: unless-stopped
   # restart: always
    restart: "no"
    networks: 
      - webnet

networks: 
  webnet:
    external:
      name: ipvlan1
